apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

namespace: atproto

resources:
  - namespace.yaml
  - postgres.yaml
  - redis.yaml
  - plc.yaml
  - pds.yaml
  - bgs.yaml
  - bsky.yaml
  - social-app.yaml
  - ozone.yaml
  - ozone-web.yaml
  - jetstream.yaml
  - feed.yaml

## deploy.yml に images / secretGenerator を設定
## デプロイ: cp deploy.yml kustomization.yaml && kubectl apply -k .
secretGenerator:
  - name: atproto-secrets
    envs:
      - secrets.env
    options:
      disableNameSuffixHash: true
